TAIL(1)

NOM
tail - Afficher la dernière partie de fichiers

SYNOPSIS
tail [OPTION]... [FICHIER]...

DESCRIPTION

Afficher les 10 dernières lignes de chaque FICHIER sur la sortie standard. Lorsqu'il y a plus d'un FICHIER, faire précéder chaque groupe de lignes d'un en-tête donnant le nom du fichier. L'entrée standard est lue quand FICHIER est omis ou quand FICHIER vaut « - ».

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

-c, --bytes=K
    afficher les K derniers octets ; vous pouvez aussi utiliser -c +K pour afficher les octets de chaque fichier à partir du Kième octet

-f, --follow[={name|descriptor}]
    afficher les dernières données ajoutées au fur et à mesure que le fichier s'accroît ; -f, --follow, et --follow=descriptor sont équivalents

-F  identique à --follow=name --retry

-n, --lines=K
    afficher les K dernières lignes, au lieu des 10 dernières ; ou utilisez -n +K pour afficher toutes les lignes à partir de la Kième.

--max-unchanged-stats=N
    avec l'option --follow=name, réouvrir le FICHIER dont la taille n'a pas changé après N itérations (par défaut 5), afin de vérifier s'il a été détruit ou renommé (c'est habituellement le cas des fichiers journaux dont on effectue la rotation). Avec inotify, cette option est rarement utile.

--pid=PID
    avec -f, terminer après l'arrêt du processus PID

-q, --quiet, --silent
    ne jamais afficher les en-têtes donnant les noms de fichiers

--retry
    continuer de tenter d'ouvrir le fichier même s'il est ou s'il devient inaccessible ; c'est utile lorsque le suivi se fait par nom, c'est-à-dire avec --follow=name

-s, --sleep-interval=N
    avec -f, attendre environ N secondes (1,0 par défaut) entre les itérations ; avec inotify et --pid=P, vérifier le processus P au moins toutes les N secondes.

-v, --verbose
    toujours afficher les en-têtes donnant les noms de fichier

--help
    Afficher l'aide-mémoire et quitter

--version
    Afficher le nom et la version du logiciel et quitter

Si le premier caractère parmi K (nombre d'octets ou de lignes) est un « + », l'affichage commence à partir du Kième élément depuis le début de chaque fichier, sinon, les K derniers éléments du fichier sont affichés. K peut avoir un suffixe multiplicateur : b pour 512, kB pour 1000, K pour 1024, MB pour 1000*1000, M pour 1024*1024, GB pour 1000*1000*1000, G pour 1024*1024*1024, et ainsi de suite pour T, P, E, Z et Y.

Avec l'option --follow (-f), tail suit par défaut le descripteur de fichier, ce qui lui permet de suivre la fin du fichier cible même s'il change de nom. Ce comportement par défaut n'est pas souhaitable lorsqu'on désire vraiment suivre le nom du fichier, et non pas par son descripteur de fichier (par exemple, lors de la rotation des journaux). Utiliser --follow=name dans ce cas. Tail suivra alors l'évolution du fichier d'une façon compatible avec les changements de nom, suppressions ou créations.

AUTEUR
Écrit par Paul Rubin, David MacKenzie, Ian Lance Taylor et Jim Meyering.

SIGNALER DES BOGUES
Signaler toute anomalie de tail à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <http://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <http://www.gnu.org/gethelp/>
Signaler toute erreur de traduction de tail à <http://translationproject.org/team/>

COPYRIGHT
Copyright © 2013 Free Software Foundation, Inc. Licence GPLv3+ : GNU GPL version 3 ou supérieures <http://gnu.org/licenses/gpl.html>
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer. Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

VOIR AUSSI
La documentation complète pour tail est disponible dans un manuel Texinfo. Si les programmes info et tail sont correctement installés sur votre système, la commande

    info coreutils 'tail invocation'

devrait vous donner accès au manuel complet (en anglais).

TRADUCTION
Cette page de manuel a été traduite par Michel Robitaille <robitail AT iro DOT umontreal DOT ca> et mise à jour pour Debian par Jean-Luc Coulon (f5ibh) <jean-luc DOT coulon AT wanadoo DOT fr> et les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.